org.keycloak.models.cache.infinispan.authorization.events

## Class ResourceUpdatedEvent

- java.lang.Object
- - org.keycloak.models.cache.infinispan.events.InvalidationEvent
  - - org.keycloak.models.cache.infinispan.authorization.events.ResourceUpdatedEvent

- All Implemented Interfaces:
    Serializable, ClusterEvent, AuthorizationCacheInvalidationEvent

      @SerializeWith(value=ResourceUpdatedEvent.ExternalizerImpl.class)
      public class ResourceUpdatedEvent
      extends InvalidationEvent
      implements AuthorizationCacheInvalidationEvent

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResourceUpdatedEvent.ExternalizerImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceUpdatedEvent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInvalidations(StoreFactoryCacheManager cache, Set<String> invalidations)`
    `static ResourceUpdatedEvent` | `create(String id, String name, String type, Set<String> uris, Set<String> scopes, String serverId, String owner)`
    `boolean` | `equals(Object o)`
    `String` | `getId()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceUpdatedEvent

          public ResourceUpdatedEvent()

  - ### Method Detail

    - #### create

          public static ResourceUpdatedEvent create(String id,
                                                    String name,
                                                    String type,
                                                    Set<String> uris,
                                                    Set<String> scopes,
                                                    String serverId,
                                                    String owner)

    - #### getId

          public String getId()

      Specified by:
        `getId` in class `InvalidationEvent`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `InvalidationEvent`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `InvalidationEvent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### addInvalidations

          public void addInvalidations(StoreFactoryCacheManager cache,
                                       Set<String> invalidations)

      Specified by:
        `addInvalidations` in interface `AuthorizationCacheInvalidationEvent`

Copyright © 2021 JBoss by Red Hat. All rights reserved.